InFine script for "MapTitle"” display
2009-05-31 16:43 - vermil

Status: Rejected Start date: 2009-05-31
Priority: Normal % Done: 0%
Assignee:

Category:

Target version:

Description
As the title suggests.

| would like to say have my map's name displayed on the auto map, but not when | start my map and vice versa.

Labels: Map Editing

Related issues:

Related to Feature #1602: Improvements for map title in automap New 2013-10-18
Related to Bug #966: [Doom] Use of CWILV graphics on automap Progressed 2011-07-20
History

#1 - 2009-05-31 17:12 - vermil

While I'm talking about this. The ability for the map/auto map titles and author line to support infine like features. Currently it doesn't support any, not
even the ability to start a new line.

Both also have character limits.

#2 - 2009-10-04 20:23 - vermil

Or perhaps the ability to disable the map title and/or automap level title at map level (i.e. via a map def). Currently the former can only be disabled
globally in the console, while the later can't at tall.

#3 - 2009-10-05 08:48 - danij

Can you give an example of a situation where you think denying the user this information would be desirable?

#4 - 2009-10-05 19:37 - vermil

When one wants not to display a map name at map start up, but still wants their map to have a name on the automap and vice versa.
Seriously though. The Map title is currently very limited in features. One can't choose a location for it on screen, how long it's there for etc etc

As such, in a mod of mine | use Infine to display my maps title how | wish to, simply because the map title get's in the way of other Infine | have set to
run at map start up. This means | blanked the map name field in my Map def and as a consequence also lost the map title on the automap.

#5 - 2009-10-05 19:40 - danij

Sounds to me what you actually want is a way to utilize your "MapTitle" InFine script instead of the built in display. Rather than forcing the mod author
to turn a bunch of different options off it would be much better to:

Check at map start whether this script is present
if so, run it.
else use the built in display.

#6 - 2010-04-21 19:30 - danij
Actually, no need to have any internal display. If we move the current display out to an InFine script, a mod author can simply override it with their

own script.

#7 - 2013-10-22 10:12 - skyjake
- Tags set to Ul, InFine, Mod

On a general level, it would make a lot of sense to have InFine draw the map title, however this requires serious upgrades to InFine's scripting
capabilities. (Fortunately, this is in the plans: #1608)
https://tracker.dengine.net/issues/1608

#8 - 2019-11-29 18:51 - skyjake

- Status changed from New to Rejected

2024-04-09 22


http://www.tcpdf.org

